# Generated from json-formatter-rails-1.3.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name json-formatter-rails

Name: rubygem-%{gem_name}
Version: 1.3.0.1
Release: 1%{?dist}
Summary: A JavaScript-based JSON formatter for your Rails views
License: MIT
URL: https://github.com/jayjlawrence/json-formatter-rails.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
This gem provides a JavaScript-based JSON viewer for your Rails 4+
application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/json-formatter-rails.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.3.0.1-1
- Initial package
